LibreOffice LibreOffice 26.2 SDK API Reference

Exported Interfaces | List of all members
DataPilotFieldGroupsEnumeration Service Reference

represents an enumeration of member groups in a DataPilot field. More...

`import"DataPilotFieldGroupsEnumeration.idl";`

Inheritance diagram for DataPilotFieldGroupsEnumeration:

## Exported Interfaces
interface | com::sun::star::container::XEnumeration
| provides methods to access the field groups in the enumeration. More...

## Additional Inherited Members
Public Member Functions inherited from XEnumeration
boolean | hasMoreElements ()
| tests whether this enumeration contains more elements. More...
any | nextElement () raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents an enumeration of member groups in a DataPilot field.

See also
  DataPilotFieldGroup
  DataPilotFieldGroups

## Exported Interfaces

## ◆ com::sun::star::container::XEnumeration

interface com::sun::star::container::XEnumeration

provides methods to access the field groups in the enumeration.

The elements of the enumeration are instances of DataPilotFieldGroup.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/DataPilotFieldGroupsEnumeration.idl